Bug Hunting Session
Bug 33397 - BorderLine do not work
Summary: BorderLine do not work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86-64 (AMD64) Windows (All)
: high major
Assignee: Cédric Bosdonnat
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 42784
  Show dependency treegraph
 
Reported: 2011-01-23 23:51 UTC by bugzilla33
Modified: 2011-11-10 04:48 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla33 2011-01-23 23:51:37 UTC
BorderLine do not work using LibreOffice api (and it works using OpenOffice.org api)

  oBorderLine = oServiceManager.Bridge_GetStruct("com.sun.star.table.BorderLine")
  oBorderLine.OuterLineWidth = 35

  oStyle = oDoc.StyleFamilies.GetByName("PageStyles").GetByName("Standard")
  oStyle.HeaderIsOn = true
  oStyle.HeaderBottomBorder = oBorderLine
Comment 1 Cédric Bosdonnat 2011-01-24 05:03:26 UTC
Mine.
Comment 2 Cédric Bosdonnat 2011-02-08 01:29:25 UTC
Fixed by this commit in master branch:

http://cgit.freedesktop.org/libreoffice/libs-core/commit/?id=0d209ac289dd5c79da6950b4c01b0cec9b7fbe6d